#ifndef __GARGOYLE_CODEX_H_
#define __GARGOYLE_CODEX_H_

#include <stdint.h>

static const uint8_t GARGOYLE_TYPE_UINT = 1 << 0;
static const uint8_t GARGOYLE_TYPE_BOOL = 1 << 1;
static const uint8_t GARGOYLE_TYPE_FILE = 1 << 2;
static const uint8_t GARGOYLE_TYPE_ROPE = 1 << 3;
static const uint8_t GARGOYLE_TYPE_DBLE = 1 << 4;

static const uint8_t GARGOYLE_ERR_SUCCESS = 0;
static const uint8_t GARGOYLE_ERR_UNKNOWN_OPT = 1;
static const uint8_t GARGOYLE_ERR_VALUE_REQUIRED = 2;

#endif
